;
; misc2.asm - misc stuff $8000
;
; Written by
;  Kajtar Zsolt <soci@c64.rulez.org>
;
;    This file is part of IDEDOS the IDE64 disk operating system
;    See README for copyright notice.
;
;    This program is free software; you can redistribute it and/or modify
;    it under the terms of the GNU General Public License as published by
;    the Free Software Foundation; either version 2 of the License, or
;    (at your option) any later version.
;
;    This program is distributed in the hope that it will be useful,
;    but WITHOUT ANY WARRANTY; without even the implied warranty of
;    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;    GNU General Public License for more details.
;
;    You should have received a copy of the GNU General Public License
;    along with this program; if not, write to the Free Software
;    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
;
;---------------------------------------
;Print imediate
;---------------------------------------
LWNO_print_imediate .proc
		pla
		sta $22
		pla
		jsr printall
                #psz $22
		rts
		.pend
;---------------------------------------
;Print A/Y
;---------------------------------------
LWNO_print_ay	.proc
		sta $22
		sty $23
		ldy #0
		geq printall.cbv
;---------------------------------------
;Printing common
;---------------------------------------
printall	.proc
		sta $23
		sty $24
		ldy #0
svc		inc $22
		bne cbv
		inc $23
cbv		lda ($22),y
		beq prntki
		jsr newchrout_t		; chrout
		gcc svc
prntki		ldy $24
		rts
		.pend
